/*     */ package com.medicwave.cardgame.poker;
/*     */ 
/*     */ import javax.swing.JSpinner;
/*     */ 
/*     */ public class PokerServerSetupDialog extends javax.swing.JDialog
/*     */ {
/*     */   private javax.swing.JButton btnOk;
/*     */   private javax.swing.JLabel jLabel1;
/*     */   private javax.swing.JLabel jLabel2;
/*     */   private javax.swing.JLabel jLabel3;
/*     */   private javax.swing.JLabel jLabel4;
/*     */   private javax.swing.JLabel jLabel5;
/*     */   private javax.swing.JLabel jLabel6;
/*     */   private javax.swing.JLabel jLabel7;
/*     */   private JSpinner spClientResponseTime;
/*     */   private JSpinner spDisplaySleepTime;
/*     */   private JSpinner spInitialAmountOfChips;
/*     */   private JSpinner spInitialAnte;
/*     */   private JSpinner spNumberOfPlayers;
/*     */   private JSpinner spRaiseAnteRoundsCount;
/*     */   private JSpinner spServerPort;
/*     */   
/*     */   public PokerServerSetupDialog(java.awt.Frame parent, boolean modal) {
/*  24 */     super(parent, modal);
/*  25 */     initComponents();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private void initComponents()
/*     */   {
/*  37 */     this.jLabel1 = new javax.swing.JLabel();
/*  38 */     this.spServerPort = new JSpinner();
/*  39 */     this.spNumberOfPlayers = new JSpinner();
/*  40 */     this.jLabel2 = new javax.swing.JLabel();
/*  41 */     this.jLabel3 = new javax.swing.JLabel();
/*  42 */     this.spInitialAmountOfChips = new JSpinner();
/*  43 */     this.spClientResponseTime = new JSpinner();
/*  44 */     this.jLabel4 = new javax.swing.JLabel();
/*  45 */     this.jLabel5 = new javax.swing.JLabel();
/*  46 */     this.spRaiseAnteRoundsCount = new JSpinner();
/*  47 */     this.spInitialAnte = new JSpinner();
/*  48 */     this.jLabel6 = new javax.swing.JLabel();
/*  49 */     this.btnOk = new javax.swing.JButton();
/*  50 */     this.jLabel7 = new javax.swing.JLabel();
/*  51 */     this.spDisplaySleepTime = new JSpinner();
/*     */     
/*  53 */     org.jdesktop.application.ResourceMap resourceMap = ((PokerServerGuiApp)org.jdesktop.application.Application.getInstance(PokerServerGuiApp.class)).getContext().getResourceMap(PokerServerSetupDialog.class);
/*  54 */     setTitle(resourceMap.getString("Form.title", new Object[0]));
/*  55 */     setName("Form");
/*     */     
/*  57 */     this.jLabel1.setText(resourceMap.getString("jLabel1.text", new Object[0]));
/*  58 */     this.jLabel1.setName("jLabel1");
/*     */     
/*  60 */     this.spServerPort.setModel(new javax.swing.SpinnerNumberModel(5000, 0, 65536, 100));
/*  61 */     this.spServerPort.setName("spServerPort");
/*     */     
/*  63 */     this.spNumberOfPlayers.setModel(new javax.swing.SpinnerNumberModel(2, 2, 5, 1));
/*  64 */     this.spNumberOfPlayers.setName("spNumberOfPlayers");
/*     */     
/*  66 */     this.jLabel2.setText(resourceMap.getString("jLabel2.text", new Object[0]));
/*  67 */     this.jLabel2.setName("jLabel2");
/*     */     
/*  69 */     this.jLabel3.setText(resourceMap.getString("jLabel3.text", new Object[0]));
/*  70 */     this.jLabel3.setName("jLabel3");
/*     */     
/*  72 */     this.spInitialAmountOfChips.setModel(new javax.swing.SpinnerNumberModel(Integer.valueOf(200), Integer.valueOf(1), null, Integer.valueOf(10)));
/*  73 */     this.spInitialAmountOfChips.setName("spInitialAmountOfChips");
/*     */     
/*  75 */     this.spClientResponseTime.setModel(new javax.swing.SpinnerNumberModel(Integer.valueOf(2000), Integer.valueOf(100), null, Integer.valueOf(500)));
/*  76 */     this.spClientResponseTime.setName("spClientResponseTime");
/*     */     
/*  78 */     this.jLabel4.setText(resourceMap.getString("jLabel4.text", new Object[0]));
/*  79 */     this.jLabel4.setName("jLabel4");
/*     */     
/*  81 */     this.jLabel5.setText(resourceMap.getString("jLabel5.text", new Object[0]));
/*  82 */     this.jLabel5.setName("jLabel5");
/*     */     
/*  84 */     this.spRaiseAnteRoundsCount.setModel(new javax.swing.SpinnerNumberModel(Integer.valueOf(10), Integer.valueOf(0), null, Integer.valueOf(1)));
/*  85 */     this.spRaiseAnteRoundsCount.setName("spRaiseAnteRoundsCount");
/*     */     
/*  87 */     this.spInitialAnte.setModel(new javax.swing.SpinnerNumberModel(Integer.valueOf(10), Integer.valueOf(0), null, Integer.valueOf(1)));
/*  88 */     this.spInitialAnte.setName("spInitialAnte");
/*     */     
/*  90 */     this.jLabel6.setText(resourceMap.getString("jLabel6.text", new Object[0]));
/*  91 */     this.jLabel6.setName("jLabel6");
/*     */     
/*  93 */     javax.swing.ActionMap actionMap = ((PokerServerGuiApp)org.jdesktop.application.Application.getInstance(PokerServerGuiApp.class)).getContext().getActionMap(PokerServerSetupDialog.class, this);
/*  94 */     this.btnOk.setAction(actionMap.get("closeDialog"));
/*  95 */     this.btnOk.setText(resourceMap.getString("btnStartPokerServer.text", new Object[0]));
/*  96 */     this.btnOk.setName("btnStartPokerServer");
/*     */     
/*  98 */     this.jLabel7.setText(resourceMap.getString("jLabel7.text", new Object[0]));
/*  99 */     this.jLabel7.setName("jLabel7");
/*     */     
/* 101 */     this.spDisplaySleepTime.setModel(new javax.swing.SpinnerNumberModel(Integer.valueOf(1000), Integer.valueOf(0), null, Integer.valueOf(500)));
/* 102 */     this.spDisplaySleepTime.setName("spDisplaySleepTime");
/*     */     
/* 104 */     javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
/* 105 */     getContentPane().setLayout(layout);
/* 106 */     layout.setHorizontalGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGroup(layout.createSequentialGroup().addContainerGap().addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addComponent(this.jLabel4).addComponent(this.jLabel1).addComponent(this.jLabel2).addComponent(this.jLabel3).addComponent(this.jLabel6).addComponent(this.jLabel5).addComponent(this.jLabel7)).addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 24, 32767).addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false).addComponent(this.spDisplaySleepTime).addComponent(this.spRaiseAnteRoundsCount, javax.swing.GroupLayout.Alignment.TRAILING, -1, 140, 32767).addComponent(this.spClientResponseTime, javax.swing.GroupLayout.Alignment.TRAILING, -1, 140, 32767).addComponent(this.spInitialAnte, javax.swing.GroupLayout.Alignment.TRAILING, -1, 140, 32767).addComponent(this.spInitialAmountOfChips, javax.swing.GroupLayout.Alignment.TRAILING, -1, 140, 32767).addComponent(this.spNumberOfPlayers, javax.swing.GroupLayout.Alignment.TRAILING, -1, 140, 32767).addComponent(this.spServerPort, javax.swing.GroupLayout.Alignment.TRAILING, -1, 140, 32767).addComponent(this.btnOk, javax.swing.GroupLayout.Alignment.TRAILING, -1, -1, 32767)).addContainerGap()));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 130 */     layout.setVerticalGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGroup(layout.createSequentialGroup().addContainerGap().addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE).addComponent(this.jLabel1).addComponent(this.spServerPort, -2, -1, -2)).addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED).addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE).addComponent(this.jLabel2).addComponent(this.spNumberOfPlayers, -2, -1, -2)).addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED).addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE).addComponent(this.jLabel3).addComponent(this.spInitialAmountOfChips, -2, -1, -2)).addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED).addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE).addComponent(this.jLabel6).addComponent(this.spInitialAnte, -2, -1, -2)).addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED).addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE).addComponent(this.jLabel5).addComponent(this.spRaiseAnteRoundsCount, -2, -1, -2)).addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED).addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE).addComponent(this.jLabel4).addComponent(this.spClientResponseTime, -2, -1, -2)).addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED).addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE).addComponent(this.jLabel7).addComponent(this.spDisplaySleepTime, -2, -1, -2)).addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, -1, 32767).addComponent(this.btnOk).addContainerGap()));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 166 */     pack();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public static void main(String[] args)
/*     */   {
/* 173 */     java.awt.EventQueue.invokeLater(new Runnable() {
/*     */       public void run() {
/* 175 */         PokerServerSetupDialog dialog = new PokerServerSetupDialog(new javax.swing.JFrame(), true);
/* 176 */         dialog.addWindowListener(new java.awt.event.WindowAdapter()
/*     */         {
/*     */           public void windowClosing(java.awt.event.WindowEvent e) {
/* 179 */             System.exit(0);
/*     */           }
/* 181 */         });
/* 182 */         dialog.setVisible(true);
/*     */       }
/*     */     });
/*     */   }
/*     */   
/*     */   @org.jdesktop.application.Action
/*     */   public void closeDialog() {
/* 189 */     System.out.println(this.spClientResponseTime.getValue());
/* 190 */     setVisible(false);
/*     */   }
/*     */   
/*     */   public int getClientResponseTime() {
/* 194 */     return ((Integer)this.spClientResponseTime.getValue()).intValue();
/*     */   }
/*     */   
/* 197 */   public int getInitialAmountOfChips() { return ((Integer)this.spInitialAmountOfChips.getValue()).intValue(); }
/*     */   
/*     */   public int getInitialAnte() {
/* 200 */     return ((Integer)this.spInitialAnte.getValue()).intValue();
/*     */   }
/*     */   
/* 203 */   public int getNumberOfPlayers() { return ((Integer)this.spNumberOfPlayers.getValue()).intValue(); }
/*     */   
/*     */   public int getRaiseAnteRoundsCount() {
/* 206 */     return ((Integer)this.spRaiseAnteRoundsCount.getValue()).intValue();
/*     */   }
/*     */   
/* 209 */   public int getServerPort() { return ((Integer)this.spServerPort.getValue()).intValue(); }
/*     */   
/*     */   public int getDisplaySleepTime() {
/* 212 */     return ((Integer)this.spDisplaySleepTime.getValue()).intValue();
/*     */   }
/*     */ }


/* Location:              /Users/Dawidejdeholm/Desktop/Skola/AI/PokerProject/PokerServerGUI/PokerServerGui.jar!/com/medicwave/cardgame/poker/PokerServerSetupDialog.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */